Health
Liveness and component health.
| Operation | Method and path |
|---|---|
| Check API health | GET /v1/health |
Check API health
Section titled “Check API health”GET /v1/health- Operation:
getHealth - Scopes: none (public)
- CLI:
guv status --api
Responses
| Status | Meaning | Body |
|---|---|---|
200 OK |
OK. | Health |
Errors: 400, 429, 500, as problem+json with a stable code.
Example
curl https://api.guv.dev/v1/health \ -H "Authorization: Bearer $GUV_TOKEN"Example response
{ "status": "ok", "version": "0.1.0", "commit": "6787955", "time": "2026-10-23T14:00:00Z", "api_versions": [ "2026-11-01" ], "components": [ { "name": "database", "status": "ok", "latency_ms": 1.2 }, { "name": "bus", "status": "ok", "latency_ms": 0.4 } ]}